package net.morilib.sh.builtin;

import net.morilib.sh.ShCommandExecuteTest;

public class ShTeeTest extends ShCommandExecuteTest {

	public void test001() {
		piw.println("aaa");
		piw.println("bbb");
		piw.close();
		exe("tee aaa.txt", 0);
		eot("aaa");  eot("bbb");  eot();
		eot(o1r, "aaa.txt");
		eot(o1r, "aaa");  eot(o1r, "bbb");  eot(o1r);
	}

	public void test002() {
		piw.println("aaa");
		piw.println("bbb");
		piw.close();
		exe("tee -a aaa.txt", 0);
		eot("aaa");  eot("bbb");  eot();
		eot(o2r, "aaa.txt");
		eot(o2r, "aaa");  eot(o2r, "bbb");  eot(o2r);
	}

	public void test003() {
		piw.println("aaa");
		piw.println("bbb");
		piw.close();
		exe("tee --append aaa.txt", 0);
		eot("aaa");  eot("bbb");  eot();
		eot(o2r, "aaa.txt");
		eot(o2r, "aaa");  eot(o2r, "bbb");  eot(o2r);
	}

}
